Open CASCADE Technology: OpenGl_WorldViewState Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
OpenGl_WorldViewState Class Reference

Defines state of OCCT world-view transformation. More...

`#include <OpenGl_ShaderStates.hxx>`

Inheritance diagram for OpenGl_WorldViewState:
[legend]

## Public Member Functions
| OpenGl_WorldViewState ()
| Creates uninitialized world-view state. More...
void | Set (const OpenGl_Mat4 &theWorldViewMatrix)
| Sets new world-view matrix. More...
const OpenGl_Mat4 & | WorldViewMatrix () const
| Returns current world-view matrix. More...
const OpenGl_Mat4 & | WorldViewMatrixInverse () const
| Returns inverse of current world-view matrix. More...
Public Member Functions inherited from OpenGl_StateInterface
| OpenGl_StateInterface ()
| Creates new OCCT state. More...
Standard_Size | Index () const
| Returns current state index. More...
void | Update ()
| Updates current state. More...
void | Revert ()
| Reverts current state. More...

## Additional Inherited Members
Protected Attributes inherited from OpenGl_StateInterface
Standard_Size | myIndex
| Current state index. More...
Standard_Size | myNextIndex
| Next state index. More...
NCollection_List< Standard_Size > | myStateStack
| Stack of previous states. More...

## Detailed Description

Defines state of OCCT world-view transformation.

## Constructor & Destructor Documentation

OpenGl_WorldViewState::OpenGl_WorldViewState | ( |  | ) |

Creates uninitialized world-view state.

## Member Function Documentation

void OpenGl_WorldViewState::Set | ( | const OpenGl_Mat4 & | theWorldViewMatrix | ) |

Sets new world-view matrix.

const OpenGl_Mat4& OpenGl_WorldViewState::WorldViewMatrix | ( |  | ) | const

Returns current world-view matrix.

const OpenGl_Mat4& OpenGl_WorldViewState::WorldViewMatrixInverse | ( |  | ) | const

Returns inverse of current world-view matrix.

The documentation for this class was generated from the following file:

- OpenGl_ShaderStates.hxx